Bug 910890 - Review Request: gnome-sudoku - GNOME Sudoku game
Summary: Review Request: gnome-sudoku - GNOME Sudoku game
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-13 19:31 UTC by Yanko Kaneti
Modified: 2013-03-25 14:00 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-03-25 14:00:55 UTC
kalevlember: fedora-review+
pbabinca: fedora-cvs+


Attachments (Terms of Use)

Description Yanko Kaneti 2013-02-13 19:31:34 UTC
Spec URL: http://declera.com/~yaneti/gnome-sudoku/gnome-sudoku.spec
SRPM URL: http://declera.com/~yaneti/gnome-sudoku/gnome-sudoku-3.7.4-1.fc19.src.rpm
Description: GNOME version of the popular Sudoku Japanese logic game
Fedora Account System Username: yaneti

This is the upstream separation of the gnome-sudoku from gnome-games.

# rpmlint 
gnome-sudoku.noarch: E: incorrect-fsf-address /usr/share/doc/gnome-sudoku-3.7.4/COPYING

Comment 1 Yanko Kaneti 2013-02-14 07:55:11 UTC
# bug for update of COPYING to the new FSF address
https://bugzilla.gnome.org/show_bug.cgi?id=693765

Comment 2 Yanko Kaneti 2013-02-14 13:28:04 UTC
Spec URL: http://declera.com/~yaneti/gnome-sudoku/gnome-sudoku.spec
SRPM URL: http://declera.com/~yaneti/gnome-sudoku/gnome-sudoku-3.7.4-2.fc19.src.rpm

3.7.4-2
- Add epoch to avoid being obsoleted by gnome-games-sudoku

gnome-games-sudoku has a explicit obsoletes on gnome-sudoku < 1:...

Comment 3 Kalev Lember 2013-03-23 12:39:28 UTC
Taking for review.

Comment 4 Kalev Lember 2013-03-23 13:12:02 UTC
Fedora review gnome-sudoku-3.7.4-2.fc19.src.rpm 2013-03-23

+ OK
! needs attention

rpmlint output:
$ rpmlint gnome-sudoku \
          gnome-sudoku-3.7.4-2.fc19.src.rpm
gnome-sudoku.noarch: W: incoherent-version-in-changelog 3.7.4-2 ['1:3.7.4-2.fc19', '1:3.7.4-2']
gnome-sudoku.noarch: E: incorrect-fsf-address /usr/share/doc/gnome-sudoku-3.7.4/COPYING
2 packages and 0 specfiles checked; 1 errors, 1 warnings.

The incoherent-version-in-changelog warning seems to be because of the epoch:
apparently rpmlint wants us to use epoch in the %changelog as well. Looks like
an easyfix.

+ The package is named according to Fedora packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  fca806fdf26195aa487cfa1c356bfe43  gnome-sudoku-3.7.4.tar.xz
  fca806fdf26195aa487cfa1c356bfe43  Download/gnome-sudoku-3.7.4.tar.xz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
+ The spec file handles locales properly
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all the directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
n/a Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
+ Packages should not contain libtool .la files
+ Proper .desktop file handling
+ Doesn't own files or directories already owned by other packages
+ Filenames are valid UTF-8


Issues
------
Some nitpicks below, most of them are really minor.

1. The rpmlint warning outlined above

2.
> Provides:  gnome-games-sudoku = 1:3.6.1-5
The provide isn't really necessary here, I believe. Nothing in the repo Requires gnome-games-sudoku.

3.
> %description
> GNOME version of the popular Sudoku Japanese logic game
Add a full stop at the end of the sentence, please.

4. Might be nice to sort the BRs and the %files list.

5.
> %find_lang %{name} --all-name --with-gnome
The --all-name option to the %find_lang macro is unnecessary here; all the docs / translations are installed under the 'gnome-sudoku' name.

6.
> %{_mandir}/man6/gnome-sudoku.6.gz
The man page compression is done by rpm and might change in the future, would
be safer to use a glob here:
%{_mandir}/man6/gnome-sudoku.6*

APPROVED. Feel free to change the issues mentioned above before importing, if you think they make sense; none of them are review blockers.

Comment 5 Yanko Kaneti 2013-03-23 13:15:18 UTC
Thanks. I'll drop the provides and fix the other issues.

New Package SCM Request
=======================
Package Name: gnome-sudoku
Short Description: GNOME version of the popular Sudoku Japanese logic game
Owners: yaneti
Branches: f19
InitialCC:

Comment 6 Gwyn Ciesla 2013-03-23 14:05:57 UTC
Unretired, submit package change request for f19 branch.

Comment 7 Yanko Kaneti 2013-03-23 14:13:29 UTC
Package Change Request
======================
Package Name: gnome-sudoku
New Branches: f19
Owners: yaneti
InitialCC:

Comment 8 Gwyn Ciesla 2013-03-23 14:41:45 UTC
Clearing flag.

Comment 9 Gwyn Ciesla 2013-03-23 14:42:42 UTC
Debugging script. . .

Comment 10 Gwyn Ciesla 2013-03-23 14:44:41 UTC
Hmm.

Comment 11 Yanko Kaneti 2013-03-23 20:32:11 UTC
Let's try again

Package Change Request
======================
Package Name: gnome-sudoku
New Branches: f19
Owners: yaneti
InitialCC:

Comment 12 Pavol Babinčák 2013-03-25 09:16:08 UTC
Git done (by process-git-requests).

Comment 13 Yanko Kaneti 2013-03-25 14:00:55 UTC
Built in rawhide and f19

Thanks


Note You need to log in before you can comment on or make changes to this bug.